Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni.parser
Interface XMLDTDScanner

All Superinterfaces:
  XMLDTDContentModelSource, XMLDTDSource

All Known Implementing Classes:
  XMLDTDScannerImpl

Deprecated. please use JDK supplied XML parsers and transformers

public interface XMLDTDScanner
extends XMLDTDSource, XMLDTDContentModelSource

This interface defines a generic DTD scanner. This interface allows a scanner to be used interchangably in existing parser configurations.

If the parser configuration uses a DTD scanner that implements this interface, components should be able to query the scanner instance from the component manager using the following property identifier:

> "http://apache.org/xml/properties/internal/dtd-scanner"

Method Summary
`boolean` | `scanDTDExternalSubset(boolean complete)` Deprecated. Scans the external subset of the document.
`boolean` | `scanDTDInternalSubset(boolean complete, boolean standalone, boolean hasExternalSubset)` Deprecated. Scans the internal subset of the document.
`void` | `setInputSource(XMLInputSource inputSource)` Deprecated. Sets the input source.

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLDTDSource
`setDTDHandler`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLDTDContentModelSource
`setDTDContentModelHandler`

Method Detail

### scanDTDExternalSubset

    public boolean scanDTDExternalSubset(boolean complete)
                                  throws IOException,
                                         XNIException

  Deprecated.
  Scans the external subset of the document.

  Parameters:
    `complete` - True if the scanner should scan the document completely, pushing all events to the registered document handler. A value of false indicates that that the scanner should only scan the next portion of the document and return. A scanner instance is permitted to completely scan a document if it does not support this "pull" scanning model.
  Throws:
    `IOException`
    `XNIException`

### scanDTDInternalSubset

    public boolean scanDTDInternalSubset(boolean complete,
                                         boolean standalone,
                                         boolean hasExternalSubset)
                                  throws IOException,
                                         XNIException

  Deprecated.
  Scans the internal subset of the document.

  Parameters:
    `complete` - True if the scanner should scan the document completely, pushing all events to the registered document handler. A value of false indicates that that the scanner should only scan the next portion of the document and return. A scanner instance is permitted to completely scan a document if it does not support this "pull" scanning model.
    `standalone` - True if the document was specified as standalone. This value is important for verifying certain well-formedness constraints.
  Throws:
    `IOException`
    `XNIException`

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws IOException

  Deprecated.
  Sets the input source.

  Parameters:
    `inputSource` - The input source or null.
  Throws:
    `IOException` - Thrown on i/o error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD